#---------- UP ----------
CREATE TABLE `ps_blockwishlist_statistics` (
  `id_statistics` int unsigned NOT NULL AUTO_INCREMENT,
  `id_cart` int unsigned DEFAULT NULL,
  `id_product` int unsigned NOT NULL,
  `id_product_attribute` int unsigned NOT NULL,
  `date_add` datetime NOT NULL,
  `id_shop` int unsigned DEFAULT '1',
  PRIMARY KEY (`id_statistics`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
CREATE TABLE `ps_currency_lang` (
  `id_currency` int unsigned NOT NULL,
  `id_lang` int unsigned NOT NULL,
  `name` varchar(255) NOT NULL,
  `symbol` varchar(255) NOT NULL,
  `pattern` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id_currency`,`id_lang`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
CREATE TABLE `ps_wishlist_product_cart` (
  `id_wishlist_product` int unsigned NOT NULL,
  `id_cart` int unsigned NOT NULL,
  `quantity` int unsigned NOT NULL,
  `date_add` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
CREATE TABLE `ps_wishlist_product` (
  `id_wishlist_product` int NOT NULL AUTO_INCREMENT,
  `id_wishlist` int unsigned NOT NULL,
  `id_product` int unsigned NOT NULL,
  `id_product_attribute` int unsigned NOT NULL,
  `quantity` int unsigned NOT NULL,
  `priority` int unsigned NOT NULL,
  PRIMARY KEY (`id_wishlist_product`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
CREATE TABLE `ps_wishlist` (
  `id_wishlist` int unsigned NOT NULL AUTO_INCREMENT,
  `id_customer` int unsigned NOT NULL,
  `id_shop` int unsigned DEFAULT '1',
  `id_shop_group` int unsigned DEFAULT '1',
  `token` varchar(64) NOT NULL,
  `name` varchar(64) NOT NULL,
  `counter` int unsigned DEFAULT NULL,
  `date_add` datetime NOT NULL,
  `date_upd` datetime NOT NULL,
  `default` int unsigned DEFAULT '0',
  PRIMARY KEY (`id_wishlist`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
CREATE TABLE `ps_store_lang` (
  `id_store` int unsigned NOT NULL,
  `id_lang` int unsigned NOT NULL,
  `name` varchar(255) NOT NULL,
  `address1` varchar(255) NOT NULL,
  `address2` varchar(255) DEFAULT NULL,
  `hours` text,
  `note` text,
  PRIMARY KEY (`id_store`,`id_lang`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
CREATE TABLE `ps_psreassurance_lang` (
  `id_psreassurance` int unsigned NOT NULL,
  `id_lang` int unsigned NOT NULL,
  `id_shop` int unsigned NOT NULL,
  `title` varchar(255) NOT NULL,
  `description` varchar(255) NOT NULL,
  `link` varchar(255) NOT NULL,
  PRIMARY KEY (`id_psreassurance`,`id_shop`,`id_lang`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
CREATE TABLE `ps_psreassurance` (
  `id_psreassurance` int unsigned NOT NULL AUTO_INCREMENT,
  `icon` varchar(255) DEFAULT NULL,
  `custom_icon` varchar(255) DEFAULT NULL,
  `status` int unsigned NOT NULL,
  `position` int unsigned NOT NULL,
  `id_shop` int unsigned NOT NULL,
  `type_link` int unsigned DEFAULT NULL,
  `id_cms` int unsigned DEFAULT NULL,
  `date_add` datetime NOT NULL,
  `date_upd` datetime DEFAULT NULL,
  PRIMARY KEY (`id_psreassurance`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb3;
CREATE TABLE `ps_product_comment_usefulness` (
  `id_product_comment` int unsigned NOT NULL,
  `id_customer` int unsigned NOT NULL,
  `usefulness` tinyint unsigned NOT NULL,
  PRIMARY KEY (`id_product_comment`,`id_customer`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
CREATE TABLE `ps_product_comment_report` (
  `id_product_comment` int unsigned NOT NULL,
  `id_customer` int unsigned NOT NULL,
  PRIMARY KEY (`id_product_comment`,`id_customer`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
CREATE TABLE `ps_product_comment_grade` (
  `id_product_comment` int unsigned NOT NULL,
  `id_product_comment_criterion` int unsigned NOT NULL,
  `grade` int unsigned NOT NULL,
  PRIMARY KEY (`id_product_comment`,`id_product_comment_criterion`),
  KEY `id_product_comment_criterion` (`id_product_comment_criterion`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
CREATE TABLE `ps_product_comment_criterion_product` (
  `id_product` int unsigned NOT NULL,
  `id_product_comment_criterion` int unsigned NOT NULL,
  PRIMARY KEY (`id_product`,`id_product_comment_criterion`),
  KEY `id_product_comment_criterion` (`id_product_comment_criterion`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
CREATE TABLE `ps_product_comment_criterion_lang` (
  `id_product_comment_criterion` int unsigned NOT NULL,
  `id_lang` int unsigned NOT NULL,
  `name` varchar(64) NOT NULL,
  PRIMARY KEY (`id_product_comment_criterion`,`id_lang`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
CREATE TABLE `ps_product_comment_criterion_category` (
  `id_product_comment_criterion` int unsigned NOT NULL,
  `id_category` int unsigned NOT NULL,
  PRIMARY KEY (`id_product_comment_criterion`,`id_category`),
  KEY `id_category` (`id_category`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
CREATE TABLE `ps_product_comment_criterion` (
  `id_product_comment_criterion` int unsigned NOT NULL AUTO_INCREMENT,
  `id_product_comment_criterion_type` tinyint(1) NOT NULL,
  `active` tinyint(1) NOT NULL,
  PRIMARY KEY (`id_product_comment_criterion`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb3;
CREATE TABLE `ps_product_comment` (
  `id_product_comment` int unsigned NOT NULL AUTO_INCREMENT,
  `id_product` int unsigned NOT NULL,
  `id_customer` int unsigned NOT NULL,
  `id_guest` int unsigned DEFAULT NULL,
  `title` varchar(64) DEFAULT NULL,
  `content` text NOT NULL,
  `customer_name` varchar(64) DEFAULT NULL,
  `grade` float unsigned NOT NULL,
  `validate` tinyint(1) NOT NULL,
  `deleted` tinyint(1) NOT NULL,
  `date_add` datetime NOT NULL,
  PRIMARY KEY (`id_product_comment`),
  KEY `id_product` (`id_product`),
  KEY `id_customer` (`id_customer`),
  KEY `id_guest` (`id_guest`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
CREATE TABLE `ps_layered_filter_block` (
  `hash` char(32) NOT NULL DEFAULT '',
  `data` text,
  PRIMARY KEY (`hash`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
CREATE TABLE `ps_info_shop` (
  `id_info` int unsigned NOT NULL,
  `id_shop` int unsigned NOT NULL,
  PRIMARY KEY (`id_info`,`id_shop`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
CREATE TABLE `ps_gsitemap_sitemap` (
  `link` varchar(255) DEFAULT NULL,
  `id_shop` int DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
CREATE TABLE `ps_feature_flag` (
  `id_feature_flag` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `state` tinyint(1) NOT NULL DEFAULT '0',
  `label_wording` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `label_domain` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `description_wording` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `description_domain` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`id_feature_flag`),
  UNIQUE KEY `UNIQ_91700F175E237E06` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
CREATE TABLE `ps_employee_session` (
  `id_employee_session` int unsigned NOT NULL AUTO_INCREMENT,
  `id_employee` int unsigned DEFAULT NULL,
  `token` varchar(40) DEFAULT NULL,
  PRIMARY KEY (`id_employee_session`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
CREATE TABLE `ps_customer_session` (
  `id_customer_session` int unsigned NOT NULL AUTO_INCREMENT,
  `id_customer` int unsigned DEFAULT NULL,
  `token` varchar(40) DEFAULT NULL,
  PRIMARY KEY (`id_customer_session`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
DROP TABLE `ps_reassurance_lang`;
DROP TABLE `ps_reassurance`;
DROP TABLE `ps_order_slip_detail_tax`;
DROP TABLE `ps_sekeyword`;
ALTER TABLE `ps_address_format` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_pack` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_order_invoice_payment` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_order_invoice_tax` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_order_message` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_order_message_lang` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_order_payment` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_order_return` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_order_return_detail` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_order_return_state` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_order_return_state_lang` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_order_slip` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_order_slip_detail` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_order_state` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_order_state_lang` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_orders` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_page` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_order_history` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_product_carrier` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_product_shop` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_product_sale` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_product_lang` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_product_group_reduction_cache` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_product_download` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_product_country_tax` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_product_attribute_shop` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_page_type` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_product_attribute_image` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_product_attribute_combination` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_product_attribute` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_product_attachment` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_product` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_page_viewed` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_order_invoice` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_order_detail_tax` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_product_tag` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_lang` DEFAULT COLLATE utf8mb4_unicode_ci;
ALTER TABLE `ps_manufacturer_lang` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_manufacturer` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_mail` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_log` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_layered_category` DEFAULT COLLATE utf8_general_ci;
ALTER TABLE `ps_lang_shop` DEFAULT COLLATE utf8mb4_unicode_ci;
ALTER TABLE `ps_import_match` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_memcached_servers` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_image_type` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_image_shop` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_image_lang` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_image` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_hook_module_exceptions` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_hook_module` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_manufacturer_shop` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_message` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_admin_filter` DEFAULT COLLATE utf8mb4_unicode_ci;
ALTER TABLE `ps_module_group` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_order_detail` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_order_cart_rule` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_order_carrier` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_operating_system` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_module_shop` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_module_history` DEFAULT COLLATE utf8mb4_unicode_ci;
ALTER TABLE `ps_module_currency` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_message_readed` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_module_country` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_module_carrier` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_module_access` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_module` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_meta_lang` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_meta` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_product_supplier` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_profile` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_hook` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_tax_rules_group` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_supply_order` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_supply_order_detail` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_supply_order_history` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_supply_order_receipt_history` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_supply_order_state` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_supply_order_state_lang` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_tab` DEFAULT COLLATE utf8mb4_unicode_ci;
ALTER TABLE `ps_tab_lang` DEFAULT COLLATE utf8mb4_unicode_ci;
ALTER TABLE `ps_tab_module_preference` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_tag` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_tag_count` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_tax` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_tax_lang` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_tax_rule` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_tax_rules_group_shop` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_supplier_lang` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_webservice_account_shop` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_access` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_accessory` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_address` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_zone_shop` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_zone` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_webservice_permission` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_webservice_account` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_timezone` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_web_browser` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_warehouse_shop` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_warehouse_product_location` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_warehouse_carrier` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_warehouse` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_translation` DEFAULT COLLATE utf8mb4_unicode_ci;
ALTER TABLE `ps_supplier_shop` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_supplier` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_profile_lang` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_request_sql` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_search_word` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_search_index` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_search_engine` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_risk_lang` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_risk` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_required_field` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_referrer_shop` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_shop_group` DEFAULT COLLATE utf8mb4_unicode_ci;
ALTER TABLE `ps_referrer_cache` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_referrer` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_range_weight` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_range_price` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_quick_access_lang` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_quick_access` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_shop` DEFAULT COLLATE utf8mb4_unicode_ci;
ALTER TABLE `ps_shop_url` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_store_shop` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_state` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_store` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_stock_mvt_reason_lang` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_stock_mvt_reason` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_stock_mvt` DEFAULT COLLATE utf8mb4_unicode_ci;
ALTER TABLE `ps_stock_available` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_stock` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_specific_price_rule_condition_group` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_smarty_cache` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_specific_price_rule_condition` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_specific_price_rule` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_specific_price_priority` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_specific_price` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_smarty_lazy_cache` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_smarty_last_flush` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_hook_alias` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_module_preference` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_guest` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_country` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_configuration_kpi_lang` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_configuration_lang` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_connections` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_carrier_lang` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_carrier_group` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_connections_page` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_connections_source` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_contact` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_contact_lang` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_carrier` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_contact_shop` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_country_lang` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_configuration` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_authorization_role` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_country_shop` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_currency` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_cart_rule_carrier` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_currency_shop` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_customer` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_attribute_shop` DEFAULT COLLATE utf8mb4_unicode_ci;
ALTER TABLE `ps_customer_group` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_customer_message` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_customer_message_sync_imap` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_attribute_lang` DEFAULT COLLATE utf8mb4_unicode_ci;
ALTER TABLE `ps_customer_thread` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_configuration_kpi` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_cms_shop` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_customization_field` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_category_lang` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_cart_rule_country` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_cart_rule` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_cart_rule_group` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_cart_product` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_cart_rule_lang` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_cart_cart_rule` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_cart_rule_product_rule` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_cart_rule_product_rule_group` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_cart_rule_product_rule_value` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_cart_rule_shop` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_category` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_category_group` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_cart` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_cms_role_lang` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_carrier_zone` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_category_product` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_category_shop` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_cms` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_cms_category` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_cms_category_lang` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_carrier_tax_rules_group_shop` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_cms_category_shop` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_cms_lang` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_group_shop` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_carrier_shop` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_cms_role` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_customization` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_cart_rule_combination` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_attribute_group` DEFAULT COLLATE utf8mb4_unicode_ci;
ALTER TABLE `ps_gender` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_attribute_group_lang` DEFAULT COLLATE utf8mb4_unicode_ci;
ALTER TABLE `ps_employee_shop` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_feature` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_feature_lang` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_feature_shop` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_attribute_group_shop` DEFAULT COLLATE utf8mb4_unicode_ci;
ALTER TABLE `ps_attribute` DEFAULT COLLATE utf8mb4_unicode_ci;
ALTER TABLE `ps_feature_value` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_employee` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_attachment_lang` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_attribute_impact` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_feature_value_lang` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_attachment` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_gender_lang` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_customized_data` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_group_lang` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_group_reduction` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_alias` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_delivery` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_customization_field_lang` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_group` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_feature_product` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_date_range` DEFAULT COLLATE utf8mb4_0900_ai_ci;
ALTER TABLE `ps_product` ADD `low_stock_alert` tinyint(1) NOT NULL DEFAULT '0';
ALTER TABLE `ps_product_attribute_shop` ADD `low_stock_alert` tinyint(1) NOT NULL DEFAULT '0';
ALTER TABLE `ps_product` ADD `additional_delivery_times` tinyint unsigned NOT NULL DEFAULT '1';
ALTER TABLE `ps_product_attribute` ADD `low_stock_alert` tinyint(1) NOT NULL DEFAULT '0';
ALTER TABLE `ps_product_attribute_shop` ADD `low_stock_threshold` int DEFAULT NULL;
ALTER TABLE `ps_product_attribute` ADD `low_stock_threshold` int DEFAULT NULL;
ALTER TABLE `ps_product` ADD `product_type` enum('standard','pack','virtual','combinations','') NOT NULL DEFAULT '';
ALTER TABLE `ps_product_attribute` ADD `mpn` varchar(40) DEFAULT NULL;
ALTER TABLE `ps_currency` ADD `precision` int NOT NULL DEFAULT '6';
ALTER TABLE `ps_product_shop` ADD `low_stock_threshold` int DEFAULT NULL;
ALTER TABLE `ps_cms_lang` ADD `head_seo_title` varchar(255) DEFAULT NULL;
ALTER TABLE `ps_stock_available` ADD `location` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `ps_stock_available` ADD `reserved_quantity` int NOT NULL DEFAULT '0';
ALTER TABLE `ps_product_lang` ADD `delivery_in_stock` varchar(255) DEFAULT NULL;
ALTER TABLE `ps_product_lang` ADD `delivery_out_stock` varchar(255) DEFAULT NULL;
ALTER TABLE `ps_stock_available` ADD `physical_quantity` int NOT NULL DEFAULT '0';
ALTER TABLE `ps_product` ADD `mpn` varchar(40) DEFAULT NULL;
ALTER TABLE `ps_product_shop` ADD `low_stock_alert` tinyint(1) NOT NULL DEFAULT '0';
ALTER TABLE `ps_stock` ADD `mpn` varchar(40) DEFAULT NULL;
ALTER TABLE `ps_info_lang` ADD `id_shop` int unsigned NOT NULL;
ALTER TABLE `ps_admin_filter` ADD `filter_id` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL;
ALTER TABLE `ps_hook` ADD `active` tinyint unsigned NOT NULL DEFAULT '1';
ALTER TABLE `ps_shop` ADD `color` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL;
ALTER TABLE `ps_shop_group` ADD `color` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL;
ALTER TABLE `ps_product` ADD `low_stock_threshold` int DEFAULT NULL;
ALTER TABLE `ps_layered_price_index` ADD `id_country` int NOT NULL;
ALTER TABLE `ps_orders` ADD `note` text;
ALTER TABLE `ps_order_cart_rule` ADD `deleted` tinyint unsigned NOT NULL DEFAULT '0';
ALTER TABLE `ps_order_detail` ADD `product_mpn` varchar(40) DEFAULT NULL;
ALTER TABLE `ps_emailsubscription` ADD `id_lang` int NOT NULL DEFAULT '0';
ALTER TABLE `ps_tab` ADD `wording_domain` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL;
ALTER TABLE `ps_order_detail` ADD `total_refunded_tax_excl` decimal(20,6) NOT NULL DEFAULT '0.000000';
ALTER TABLE `ps_currency` ADD `numeric_iso_code` varchar(3) DEFAULT NULL;
ALTER TABLE `ps_tab` ADD `wording` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL;
ALTER TABLE `ps_log` ADD `in_all_shops` tinyint unsigned NOT NULL DEFAULT '0';
ALTER TABLE `ps_currency` ADD `unofficial` tinyint unsigned NOT NULL DEFAULT '0';
ALTER TABLE `ps_log` ADD `id_lang` int unsigned DEFAULT NULL;
ALTER TABLE `ps_log` ADD `id_shop_group` int unsigned DEFAULT NULL;
ALTER TABLE `ps_order_detail` ADD `total_refunded_tax_incl` decimal(20,6) NOT NULL DEFAULT '0.000000';
ALTER TABLE `ps_supply_order_detail` ADD `mpn` varchar(40) DEFAULT NULL;
ALTER TABLE `ps_currency` ADD `modified` tinyint unsigned NOT NULL DEFAULT '0';
ALTER TABLE `ps_tab` ADD `enabled` tinyint(1) NOT NULL;
ALTER TABLE `ps_tab` ADD `route_name` varchar(256) COLLATE utf8mb4_unicode_ci DEFAULT NULL;
ALTER TABLE `ps_log` ADD `id_shop` int unsigned DEFAULT NULL;
ALTER TABLE `ps_link_block_shop` ADD `position` int unsigned NOT NULL DEFAULT '0';
ALTER TABLE `ps_customization_field` ADD `is_deleted` tinyint(1) NOT NULL DEFAULT '0';
ALTER TABLE `ps_employee` ADD `has_enabled_gravatar` tinyint unsigned NOT NULL DEFAULT '0';
ALTER TABLE `ps_stock` CHANGE `reference` `reference` varchar(64) NOT NULL;
ALTER TABLE `ps_supply_order_detail` CHANGE `isbn` `isbn` varchar(32) DEFAULT NULL;
ALTER TABLE `ps_supply_order_detail` CHANGE `supplier_reference` `supplier_reference` varchar(64) NOT NULL;
ALTER TABLE `ps_supply_order_detail` CHANGE `reference` `reference` varchar(64) NOT NULL;
ALTER TABLE `ps_stock_mvt` CHANGE `physical_quantity` `physical_quantity` int NOT NULL;
ALTER TABLE `ps_supply_order_history` CHANGE `employee_lastname` `employee_lastname` varchar(255) DEFAULT '';
ALTER TABLE `ps_alias` CHANGE `alias` `alias` varchar(191) NOT NULL;
ALTER TABLE `ps_warehouse` CHANGE `reference` `reference` varchar(64) DEFAULT NULL;
ALTER TABLE `ps_supply_order_history` CHANGE `employee_firstname` `employee_firstname` varchar(255) DEFAULT '';
ALTER TABLE `ps_supply_order_receipt_history` CHANGE `employee_lastname` `employee_lastname` varchar(255) DEFAULT '';
ALTER TABLE `ps_supply_order_receipt_history` CHANGE `employee_firstname` `employee_firstname` varchar(255) DEFAULT '';
ALTER TABLE `ps_admin_filter` CHANGE `filter` `filter` longtext COLLATE utf8mb4_unicode_ci NOT NULL;
ALTER TABLE `ps_attribute_lang` CHANGE `name` `name` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL;
ALTER TABLE `ps_admin_filter` CHANGE `action` `action` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL;
ALTER TABLE `ps_cart_rule` CHANGE `minimum_amount` `minimum_amount` decimal(20,6) NOT NULL DEFAULT '0.000000';
ALTER TABLE `ps_attribute_impact` CHANGE `price` `price` decimal(20,6) NOT NULL;
ALTER TABLE `ps_cart_rule` CHANGE `reduction_amount` `reduction_amount` decimal(20,6) NOT NULL DEFAULT '0.000000';
ALTER TABLE `ps_admin_filter` CHANGE `controller` `controller` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL;
ALTER TABLE `ps_smarty_lazy_cache` CHANGE `cache_id` `cache_id` varchar(191) NOT NULL DEFAULT '';
ALTER TABLE `ps_attribute` CHANGE `color` `color` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL;
ALTER TABLE `ps_translation` CHANGE `translation` `translation` text COLLATE utf8mb4_unicode_ci NOT NULL;
ALTER TABLE `ps_stock` CHANGE `isbn` `isbn` varchar(32) DEFAULT NULL;
ALTER TABLE `ps_attribute_group_lang` CHANGE `public_name` `public_name` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL;
ALTER TABLE `ps_stock_mvt` CHANGE `referer` `referer` bigint DEFAULT NULL;
ALTER TABLE `ps_carrier_lang` CHANGE `delay` `delay` varchar(512) DEFAULT NULL;
ALTER TABLE `ps_stock_mvt` CHANGE `employee_firstname` `employee_firstname` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL;
ALTER TABLE `ps_stock_mvt` CHANGE `employee_lastname` `employee_lastname` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL;
ALTER TABLE `ps_tab_module_preference` CHANGE `module` `module` varchar(191) NOT NULL;
ALTER TABLE `ps_tab` CHANGE `module` `module` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL;
ALTER TABLE `ps_stock_mvt` CHANGE `id_employee` `id_employee` int NOT NULL;
ALTER TABLE `ps_stock_mvt` CHANGE `id_stock_mvt_reason` `id_stock_mvt_reason` int NOT NULL;
ALTER TABLE `ps_stock_mvt` CHANGE `id_supply_order` `id_supply_order` int DEFAULT NULL;
ALTER TABLE `ps_stock_mvt` CHANGE `id_order` `id_order` int DEFAULT NULL;
ALTER TABLE `ps_store` CHANGE `email` `email` varchar(255) DEFAULT NULL;
ALTER TABLE `ps_attribute_group_lang` CHANGE `name` `name` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL;
ALTER TABLE `ps_tab` CHANGE `icon` `icon` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL;
ALTER TABLE `ps_tab_lang` CHANGE `name` `name` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL;
ALTER TABLE `ps_authorization_role` CHANGE `slug` `slug` varchar(191) NOT NULL;
ALTER TABLE `ps_attribute_group` CHANGE `group_type` `group_type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL;
ALTER TABLE `ps_stock_mvt` CHANGE `id_stock` `id_stock` int NOT NULL;
ALTER TABLE `ps_stock_mvt` CHANGE `id_stock_mvt` `id_stock_mvt` bigint NOT NULL AUTO_INCREMENT;
ALTER TABLE `ps_translation` CHANGE `key` `key` text CHARACTER SET utf8 COLLATE utf8_bin NOT NULL;
ALTER TABLE `ps_supplier_lang` CHANGE `meta_title` `meta_title` varchar(255) DEFAULT NULL;
ALTER TABLE `ps_stock_mvt` CHANGE `sign` `sign` smallint NOT NULL DEFAULT '1';
ALTER TABLE `ps_supplier_lang` CHANGE `meta_description` `meta_description` varchar(512) DEFAULT NULL;
ALTER TABLE `ps_translation` CHANGE `domain` `domain` varchar(80) COLLATE utf8mb4_unicode_ci NOT NULL;
ALTER TABLE `ps_translation` CHANGE `theme` `theme` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL;
ALTER TABLE `ps_tab` CHANGE `class_name` `class_name` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL;
ALTER TABLE `ps_cms_lang` CHANGE `meta_title` `meta_title` varchar(255) NOT NULL;
ALTER TABLE `ps_shop_url` CHANGE `id_shop` `id_shop` int NOT NULL;
ALTER TABLE `ps_order_detail` CHANGE `group_reduction` `group_reduction` decimal(5,2) NOT NULL DEFAULT '0.00';
ALTER TABLE `ps_employee` CHANGE `lastname` `lastname` varchar(255) NOT NULL;
ALTER TABLE `ps_address` CHANGE `company` `company` varchar(255) DEFAULT NULL;
ALTER TABLE `ps_module_preference` CHANGE `module` `module` varchar(191) NOT NULL;
ALTER TABLE `ps_customer_thread` CHANGE `email` `email` varchar(255) NOT NULL;
ALTER TABLE `ps_order_cart_rule` CHANGE `value` `value` decimal(20,6) NOT NULL DEFAULT '0.000000';
ALTER TABLE `ps_order_cart_rule` CHANGE `value_tax_excl` `value_tax_excl` decimal(20,6) NOT NULL DEFAULT '0.000000';
ALTER TABLE `ps_order_detail` CHANGE `reduction_percent` `reduction_percent` decimal(5,2) NOT NULL DEFAULT '0.00';
ALTER TABLE `ps_order_detail` CHANGE `product_isbn` `product_isbn` varchar(32) DEFAULT NULL;
ALTER TABLE `ps_employee` CHANGE `email` `email` varchar(255) NOT NULL;
ALTER TABLE `ps_order_detail` CHANGE `product_supplier_reference` `product_supplier_reference` varchar(64) DEFAULT NULL;
ALTER TABLE `ps_order_detail` CHANGE `ecotax` `ecotax` decimal(17,6) NOT NULL DEFAULT '0.000000';
ALTER TABLE `ps_customer` CHANGE `email` `email` varchar(255) NOT NULL;
ALTER TABLE `ps_customer` CHANGE `company` `company` varchar(255) DEFAULT NULL;
ALTER TABLE `ps_order_payment` CHANGE `amount` `amount` decimal(20,6) NOT NULL;
ALTER TABLE `ps_order_slip` CHANGE `amount` `amount` decimal(20,6) NOT NULL DEFAULT '0.000000';
ALTER TABLE `ps_order_slip` CHANGE `shipping_cost_amount` `shipping_cost_amount` decimal(20,6) NOT NULL DEFAULT '0.000000';
ALTER TABLE `ps_employee` CHANGE `firstname` `firstname` varchar(255) NOT NULL;
ALTER TABLE `ps_employee` CHANGE `passwd` `passwd` varchar(255) NOT NULL;
ALTER TABLE `ps_contact` CHANGE `email` `email` varchar(255) NOT NULL;
ALTER TABLE `ps_lang` CHANGE `iso_code` `iso_code` varchar(2) COLLATE utf8mb4_unicode_ci NOT NULL;
ALTER TABLE `ps_hook` CHANGE `name` `name` varchar(191) NOT NULL;
ALTER TABLE `ps_hook` CHANGE `title` `title` varchar(255) NOT NULL;
ALTER TABLE `ps_group_reduction` CHANGE `reduction` `reduction` decimal(5,4) NOT NULL;
ALTER TABLE `ps_hook_alias` CHANGE `alias` `alias` varchar(191) NOT NULL;
ALTER TABLE `ps_hook_alias` CHANGE `name` `name` varchar(191) NOT NULL;
ALTER TABLE `ps_group` CHANGE `reduction` `reduction` decimal(5,2) NOT NULL DEFAULT '0.00';
ALTER TABLE `ps_lang` CHANGE `name` `name` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL;
ALTER TABLE `ps_lang` CHANGE `language_code` `language_code` varchar(5) COLLATE utf8mb4_unicode_ci NOT NULL;
ALTER TABLE `ps_employee` CHANGE `optin` `optin` tinyint unsigned DEFAULT NULL;
ALTER TABLE `ps_lang` CHANGE `locale` `locale` varchar(5) COLLATE utf8mb4_unicode_ci NOT NULL;
ALTER TABLE `ps_lang` CHANGE `date_format_lite` `date_format_lite` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL;
ALTER TABLE `ps_lang` CHANGE `date_format_full` `date_format_full` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL;
ALTER TABLE `ps_layered_filter` CHANGE `filters` `filters` longtext;
ALTER TABLE `ps_layered_price_index` CHANGE `price_min` `price_min` decimal(11,5) NOT NULL;
ALTER TABLE `ps_layered_price_index` CHANGE `price_max` `price_max` decimal(11,5) NOT NULL;
ALTER TABLE `ps_manufacturer_lang` CHANGE `meta_title` `meta_title` varchar(255) DEFAULT NULL;
ALTER TABLE `ps_manufacturer_lang` CHANGE `meta_description` `meta_description` varchar(512) DEFAULT NULL;
ALTER TABLE `ps_contact_lang` CHANGE `name` `name` varchar(255) NOT NULL;
ALTER TABLE `ps_customer` CHANGE `passwd` `passwd` varchar(255) NOT NULL;
ALTER TABLE `ps_order_detail` CHANGE `product_reference` `product_reference` varchar(64) DEFAULT NULL;
ALTER TABLE `ps_product_lang` CHANGE `meta_description` `meta_description` varchar(512) DEFAULT NULL;
ALTER TABLE `ps_product_group_reduction_cache` CHANGE `reduction` `reduction` decimal(5,4) NOT NULL;
ALTER TABLE `ps_product_shop` CHANGE `additional_shipping_cost` `additional_shipping_cost` decimal(20,6) NOT NULL DEFAULT '0.000000';
ALTER TABLE `ps_product_supplier` CHANGE `product_supplier_reference` `product_supplier_reference` varchar(64) DEFAULT NULL;
ALTER TABLE `ps_product_attribute` CHANGE `isbn` `isbn` varchar(32) DEFAULT NULL;
ALTER TABLE `ps_product_attribute` CHANGE `location` `location` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `ps_product_attribute` CHANGE `supplier_reference` `supplier_reference` varchar(64) DEFAULT NULL;
ALTER TABLE `ps_product_attribute` CHANGE `reference` `reference` varchar(64) DEFAULT NULL;
ALTER TABLE `ps_cms_category_lang` CHANGE `meta_description` `meta_description` varchar(512) DEFAULT NULL;
ALTER TABLE `ps_cms_category_lang` CHANGE `meta_title` `meta_title` varchar(255) DEFAULT NULL;
ALTER TABLE `ps_product` CHANGE `redirect_type` `redirect_type` enum('404','301-product','302-product','301-category','302-category') NOT NULL DEFAULT '404';
ALTER TABLE `ps_category_lang` CHANGE `meta_description` `meta_description` varchar(512) DEFAULT NULL;
ALTER TABLE `ps_product` CHANGE `location` `location` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `ps_referrer` CHANGE `passwd` `passwd` varchar(255) DEFAULT NULL;
ALTER TABLE `ps_category_lang` CHANGE `meta_title` `meta_title` varchar(255) DEFAULT NULL;
ALTER TABLE `ps_product` CHANGE `supplier_reference` `supplier_reference` varchar(64) DEFAULT NULL;
ALTER TABLE `ps_product` CHANGE `reference` `reference` varchar(64) DEFAULT NULL;
ALTER TABLE `ps_search_word` CHANGE `word` `word` varchar(30) NOT NULL;
ALTER TABLE `ps_shop` CHANGE `name` `name` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL;
ALTER TABLE `ps_shop` CHANGE `theme_name` `theme_name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL;
ALTER TABLE `ps_product` CHANGE `additional_shipping_cost` `additional_shipping_cost` decimal(20,6) NOT NULL DEFAULT '0.000000';
ALTER TABLE `ps_product` CHANGE `isbn` `isbn` varchar(32) DEFAULT NULL;
ALTER TABLE `ps_shop_group` CHANGE `name` `name` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL;
ALTER TABLE `ps_shop_url` CHANGE `id_shop_url` `id_shop_url` int NOT NULL AUTO_INCREMENT;
ALTER TABLE `ps_cms_lang` CHANGE `meta_description` `meta_description` varchar(512) DEFAULT NULL;
ALTER TABLE `ps_store` DROP `address2`;
ALTER TABLE `ps_info` DROP `id_shop`;
ALTER TABLE `ps_store` DROP `hours`;
ALTER TABLE `ps_store` DROP `address1`;
ALTER TABLE `ps_store` DROP `note`;
ALTER TABLE `ps_store` DROP `name`;
ALTER TABLE `ps_tab_lang` ADD KEY `IDX_CFD9262DBA299860` (`id_lang`);
ALTER TABLE `ps_currency` ADD KEY `currency_iso_code` (`iso_code`);
ALTER TABLE `ps_product` ADD KEY `supplier_reference_idx` (`supplier_reference`);
ALTER TABLE `ps_attribute_lang` ADD KEY `IDX_3ABE46A7BA299860` (`id_lang`);
ALTER TABLE `ps_product` ADD KEY `reference_idx` (`reference`);
ALTER TABLE `ps_shop_url` ADD KEY `IDX_279F19DA274A50A0` (`id_shop`);
ALTER TABLE `ps_admin_filter` ADD UNIQUE KEY `admin_filter_search_id_idx` (`employee`,`shop`,`controller`,`action`,`filter_id`);
ALTER TABLE `ps_cart_rule` ADD KEY `date_to` (`date_to`);
ALTER TABLE `ps_cart_rule` ADD KEY `date_from` (`date_from`);
ALTER TABLE `ps_attribute_group_lang` ADD KEY `IDX_4653726CBA299860` (`id_lang`);
ALTER TABLE `ps_layered_category` ADD KEY `id_category_shop` (`id_category`,`id_shop`,`type`,`id_value`,`position`);
ALTER TABLE `ps_info_lang` DROP INDEX `id_info`;
ALTER TABLE `ps_info_lang` ADD PRIMARY KEY (`id_info`,`id_lang`,`id_shop`);
ALTER TABLE `ps_search_index` DROP INDEX `id_product`;
ALTER TABLE `ps_search_index` ADD KEY `id_product` (`id_product`,`weight`);
ALTER TABLE `ps_order_detail` DROP INDEX `product_id`;
ALTER TABLE `ps_order_detail` ADD KEY `product_id` (`product_id`,`product_attribute_id`);
ALTER TABLE `ps_feature_product` DROP INDEX `id_feature`;
ALTER TABLE `ps_feature_product` ADD PRIMARY KEY (`id_feature`,`id_product`,`id_feature_value`);
ALTER TABLE `ps_layered_price_index` DROP INDEX `id_product`;
ALTER TABLE `ps_layered_price_index` ADD PRIMARY KEY (`id_product`,`id_currency`,`id_shop`,`id_country`);
ALTER TABLE `ps_shop_url` DROP INDEX `full_shop_url_ssl`;
ALTER TABLE `ps_shop_url` DROP INDEX `id_shop`;
ALTER TABLE `ps_admin_filter` DROP INDEX `admin_filter_search_idx`;
ALTER TABLE `ps_shop_url` DROP INDEX `full_shop_url`;
ALTER TABLE `ps_product_download` DROP INDEX `product_active`;
ALTER TABLE `ps_product_download` DROP INDEX `id_product`;
ALTER TABLE `ps_shop` DROP CONSTRAINT `FK_CBDFBB9EF5C9E40`;
ALTER TABLE `ps_attribute` DROP CONSTRAINT `FK_6C3355F967A664FB`;
ALTER TABLE `ps_lang_shop` DROP CONSTRAINT `FK_2F43BFC7274A50A0`;
ALTER TABLE `ps_attribute_group_lang` DROP CONSTRAINT `FK_4653726C67A664FB`;
ALTER TABLE `ps_attribute_lang` DROP CONSTRAINT `FK_3ABE46A77A4F53DC`;
ALTER TABLE `ps_attribute_group_shop` DROP CONSTRAINT `FK_DB30BAAC274A50A0`;
ALTER TABLE `ps_translation` DROP CONSTRAINT `FK_ADEBEB36BA299860`;
ALTER TABLE `ps_attribute_shop` DROP CONSTRAINT `FK_A7DD8E677A4F53DC`;
ALTER TABLE `ps_attribute_group_shop` DROP CONSTRAINT `FK_DB30BAAC67A664FB`;
ALTER TABLE `ps_tab_lang` DROP CONSTRAINT `FK_CFD9262DED47AB56`;
ALTER TABLE `ps_attribute_shop` DROP CONSTRAINT `FK_A7DD8E67274A50A0`;
ALTER TABLE `ps_lang_shop` DROP CONSTRAINT `FK_2F43BFC7BA299860`;
#---------- DOWN ----------
